package document_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type DocumentValidatefileRequest struct {
	// <ext>core:true</ext> 【待校验文档】待校验文档 【作用】 上传待校验的文档 【传参】 1、支持的文件格式：pdf，doc，docx，wps，rtf，png，gif，jpg，jpeg，tiff，html，htm，xls，xlsx，txt，ofd，dwg，ppt，pptx。 2、若上传CAD图纸（dwg格式），请先开启【电子签章管理后台-自定义配置DWG_SWITCH】。 3、当上传的文档为PDF时，PDF的版本需要>1.3；上传签署文档大小限制可在【电子签章管理后台-电子用印设置-文件上传限制】进行配置。
	File *os.File `json:"file"`
	// <ext>core:true</ext> 【文档名称】文档名称 【作用】 用于传入上传的文档的名称
	Title string `json:"title"`
}

func (obj DocumentValidatefileRequest) GetUrl() string {
	return "/document/validateFile"
}

func (obj DocumentValidatefileRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("title", obj.Title)
	parameter.AddFiles("file", obj.File)
	return parameter
}
